Download it now!
Bug 59819 - FILESAVE: .xlsx: new functions (AVERAGEIF,AVERAGEIFS,COUNTIFS,SUMIFS,IFERROR,IFNA) lead to warning in Excel 2013, and IFNA is not accepted
Summary: FILESAVE: .xlsx: new functions (AVERAGEIF,AVERAGEIFS,COUNTIFS,SUMIFS,IFERROR,...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.0.2 rc
Hardware: All All
: high major
Assignee: Eike Rathke
URL:
Whiteboard: target:4.1.0 target:4.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-24 19:57 UTC by Eike Rathke
Modified: 2013-01-28 23:26 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
tescase original ods (8.48 KB, application/x-vnd.oasis.opendocument.spreadsheet)
2013-01-24 23:19 UTC, Eike Rathke
Details
testcase exported xlsx old 4.0.0.2 (5.00 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2013-01-24 23:20 UTC, Eike Rathke
Details
testcase exported xlsx new with change (4.93 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2013-01-24 23:21 UTC, Eike Rathke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eike Rathke 2013-01-24 19:57:15 UTC
A document using the new functions AVERAGEIF,AVERAGEIFS,COUNTIFS,SUMIFS,IFERROR,IFNA saved as .xlsx leads to a warning when opened in Excel 2013 about corrupted sheet named expressions.

Additionally, the new IFNA function is not accepted and leads to #NAME?

Cause for the "corrupted expression" message is that the new functions get a corresponding <definedName> element entry marking them as macros, same as in the binary format, but this is wrong in OOXML.

Cause for IFNA not being accepted is that it is written as IFNA instead of _xlfn.IFNA as all new functions not part of the original OOXML definition get the "_xlfn." prefix.
Comment 1 Eike Rathke 2013-01-24 19:59:20 UTC
Working on this.
Comment 2 Eike Rathke 2013-01-24 23:19:53 UTC
Created attachment 73619 [details]
tescase original ods
Comment 3 Eike Rathke 2013-01-24 23:20:55 UTC
Created attachment 73620 [details]
testcase exported xlsx old 4.0.0.2
Comment 4 Eike Rathke 2013-01-24 23:21:31 UTC
Created attachment 73621 [details]
testcase exported xlsx new with change
Comment 5 Not Assigned 2013-01-24 23:27:43 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1162738c6fbd8505ffa27b28118318cc522a5368

resolved fdo#59819 write correct OOXML function name mapping



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Not Assigned 2013-01-24 23:41:58 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0adb958c451660ec0eea012480b6327dd2aefeb4

non-dbgutil build [-Werror=unused-parameter], fdo#59819



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Eike Rathke 2013-01-24 23:49:42 UTC
Change pending review for 4-0 as https://gerrit.libreoffice.org/1854
Review requested also for 4-0-0
Comment 8 Not Assigned 2013-01-25 10:28:38 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fd96008b90c024c6e4c3a251440a7878629bbc17&h=libreoffice-4-0

resolved fdo#59819 write correct OOXML function name mapping


It will be available in LibreOffice 4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Not Assigned 2013-01-28 17:08:49 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-0-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=500baf58b08322102e9547f60355eb1a8ee35e19&h=libreoffice-4-0-0

resolved fdo#59819 write correct OOXML function name mapping


It will be available already in LibreOffice 4.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.